# open this when support kde in the future
%bcond_with kde

Summary:         Library to enable creation and expansion of ISO-9660 filesystems
Name:            libisoburn
Version:         1.5.6
Release:         2%{?dist}
License:         GPLv2+
URL:             https://libburnia-project.org/
Source0:         https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
Source1:         xorriso_extract_iso_image.desktop

Patch3000:       libisoburn-1.0.8-multilib.patch
Patch3001:       libisoburn-1.5.4-rpath.patch

BuildRequires:   gnupg2 gcc gcc-c++ make readline-devel libacl-devel zlib-devel
BuildRequires:   libburn-devel >= %{version} libisofs-devel >= %{version}

%description
Libisoburn is a front-end for libraries libburn and libisofs which enables creation and expansion
of ISO-9660 filesystems on all CD/ DVD/BD media supported by libburn. This includes media like DVD+RW,
which do not support multi-session management on media level and even plain disk files or block devices.
Price for that is thorough specialization on data files in ISO-9660 filesystem images. And so libisoburn
is not suitable for audio (CD-DA) or any other CD layout which does not entirely consist of ISO-9660 sessions.

%package devel
Summary:         Development files for %{name}
Requires:        %{name} = %{version}-%{release} pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package -n xorriso
Summary:         ISO-9660 and Rock Ridge image manipulation tool
URL:             http://scdbackup.sourceforge.net/xorriso_eng.html
Requires:        %{name} = %{version}-%{release}

%if %{with kde}
Requires:        kde-filesystem >= 4
Requires:        kf5-filesystem >= 5
%endif

Requires(post):  %{_sbindir}/alternatives coreutils
Requires(preun): %{_sbindir}/alternatives

%description -n xorriso
Xorriso is a program which copies file objects from POSIX compliant filesystems into Rock Ridge enhanced
ISO-9660 filesystems and allows session-wise manipulation of such filesystems. It can load management
information of existing ISO images and it writes the session results to optical media or to filesystem objects.
Vice versa xorriso is able to copy file objects out of ISO-9660 filesystems.

Filesystem manipulation capabilities surpass those of mkisofs. Xorriso is especially suitable for backups,
because of its high fidelity of file attribute recording and its incremental update sessions. Optical
supported media: CD-R, CD-RW, DVD-R, DVD-RW, DVD+R, DVD+R DL, DVD+RW, DVD-RAM, BD-R and BD-RE.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.la
rm -rf %{buildroot}%{_defaultdocdir}

%if %{with kde}
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/kde4/services/ServiceMenus/xorriso_extract_iso_image.desktop
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/kservices5/ServiceMenus/xorriso_extract_iso_image.desktop
%endif

touch %{buildroot}{%{_bindir}/{cdrecord,mkisofs},%{_mandir}/man1/{cdrecord,mkisofs}.1.gz}

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}{%{_bindir},%{_infodir},%{_mandir}/man1}/xorriso-tcltk*

%check
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:%{buildroot}%{_libdir}"
cd releng
./run_all_auto -x ../xorriso/xorriso || (cat releng_generated_data/log.*; exit 1)

%post -n xorriso
%{_sbindir}/alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/xorrecord 50 \
  --slave %{_mandir}/man1/cdrecord.1.gz cdrecord-cdrecordman %{_mandir}/man1/xorrecord.1.gz
%{_sbindir}/alternatives --install %{_bindir}/mkisofs mkisofs %{_bindir}/xorrisofs 50 \
  --slave %{_mandir}/man1/mkisofs.1.gz mkisofs-mkisofsman %{_mandir}/man1/xorrisofs.1.gz

%preun -n xorriso
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove cdrecord %{_bindir}/xorrecord
  %{_sbindir}/alternatives --remove mkisofs %{_bindir}/xorrisofs
fi

%files
%license COPYING
%doc AUTHORS COPYRIGHT README ChangeLog
%{_libdir}/%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}*.pc

%files -n xorriso
%ghost %{_bindir}/cdrecord
%ghost %{_bindir}/mkisofs
%{_bindir}/osirrox
%{_bindir}/xorrecord
%{_bindir}/xorriso
%{_bindir}/xorrisofs
%{_bindir}/xorriso-dd-target
%ghost %{_mandir}/man1/cdrecord.1*
%ghost %{_mandir}/man1/mkisofs.1*
%{_mandir}/man1/xorrecord.1*
%{_mandir}/man1/xorriso.1*
%{_mandir}/man1/xorrisofs.1*
%{_mandir}/man1/xorriso-dd-target.1*
%{_infodir}/xorrecord.info*
%{_infodir}/xorriso.info*
%{_infodir}/xorrisofs.info*
%{_infodir}/xorriso-dd-target.info*

%if %{with kde}
%{_datadir}/kde4/services/ServiceMenus/xorriso_extract_iso_image.desktop
%{_datadir}/kservices5/ServiceMenus/xorriso_extract_iso_image.desktop
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.5.6-1
- update to 1.5.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 1.5.4-1
- initial build
